OpenJPEG: cachemodel_param Struct Reference

OpenJPEG 2.5.0

Data Fields
cachemodel_param Struct Reference

Cache model parameters. More...

`#include <cachemodel_manager.h>`

## Data Fields
target_param_t * | target
| reference pointer to the target
OPJ_BOOL | jppstream
| return type, true: JPP-stream, false: JPT-stream
OPJ_BOOL | mhead_model
| main header model, if sent, 1, else 0
OPJ_BOOL * | tp_model
| dynamic array pointer of tile part model, if sent, 1, else 0
OPJ_BOOL * | th_model
| dynamic array pointer of tile header model
OPJ_BOOL ** | pp_model
| dynamic array pointer of precint packet model
struct cachemodel_param * | next
| pointer to the next cache model

## Detailed Description

Cache model parameters.

## Field Documentation

## ◆ jppstream

OPJ_BOOL cachemodel_param::jppstream

return type, true: JPP-stream, false: JPT-stream

Referenced by enqueue_imagedata(), gene_cachemodel(), gene_JPIPstream(), and is_allsent().

## ◆ mhead_model

OPJ_BOOL cachemodel_param::mhead_model

main header model, if sent, 1, else 0

Referenced by enqueue_mainheader(), gene_cachemodel(), gene_JPIPstream(), is_allsent(), and print_cachemodel().

## ◆ next

struct cachemodel_param* cachemodel_param::next

pointer to the next cache model

Referenced by delete_cachemodellist(), gene_cachemodel(), insert_cachemodel_into_session(), print_allsession(), and search_cachemodel().

## ◆ pp_model

OPJ_BOOL** cachemodel_param::pp_model

dynamic array pointer of precint packet model

Referenced by enqueue_precinct(), gene_cachemodel(), is_allsent(), and print_cachemodel().

## ◆ target

target_param_t* cachemodel_param::target

reference pointer to the target

Referenced by enqueue_allprecincts(), enqueue_box(), enqueue_boxcontents(), enqueue_imagedata(), enqueue_mainheader(), enqueue_metadata(), enqueue_phld(), enqueue_precinct(), enqueue_precincts(), enqueue_tile(), enqueue_tileheader(), gene_cachemodel(), gene_JPIPstream(), is_allsent(), print_allchannel(), print_allsession(), print_cachemodel(), recons_stream_from_msgqueue(), and search_cachemodel().

## ◆ th_model

OPJ_BOOL* cachemodel_param::th_model

dynamic array pointer of tile header model

Referenced by enqueue_tileheader(), gene_cachemodel(), is_allsent(), and print_cachemodel().

## ◆ tp_model

OPJ_BOOL* cachemodel_param::tp_model

dynamic array pointer of tile part model, if sent, 1, else 0

Referenced by enqueue_tile(), gene_cachemodel(), is_allsent(), and print_cachemodel().

The documentation for this struct was generated from the following file:

- cachemodel_manager.h